/*
 * File name: prg_serial_winapi.h
 * Date:      2017/04/19 09:54
 * Author:    Pavel Paces
 */

#include "windows.h"

#ifndef __PRG_SERIAL_WINAPI_H__
#define __PRG_SERIAL_WINAPI_H__

#ifdef __cplusplus
extern "C" {
#endif
   /// ----------------------------------------------------------------------------
   /// @brief serial_open
   /// 
   /// @param fname  -- device name
   /// 
   /// @return 
   /// ----------------------------------------------------------------------------
   HANDLE serialWinApi_open( LPCTSTR lpszDevice );

   /// ----------------------------------------------------------------------------
   /// @brief serial_close
   /// 
   /// @param fd 
   /// 
   /// @return 
   /// ----------------------------------------------------------------------------
   int serialWinApi_close( HANDLE hSerial );

   /// ----------------------------------------------------------------------------
   /// @brief serial_putc
   /// 
   /// @param fd 
   /// @param c 
   /// 
   /// @return 
   /// ----------------------------------------------------------------------------
   int serialWinApi_putc( HANDLE hSerial, char c);

   /// ----------------------------------------------------------------------------
   /// @brief serial_getc
   /// 
   /// @param fd 
   /// 
   /// @return 
   /// ----------------------------------------------------------------------------
   int serialWinApi_getc( HANDLE hSerial, char * c);

#ifdef __cplusplus
}
#endif

#endif // __PRG_SERIAL_WINAPI_H__
